sync_to_snapshot(1)

NAME
sync_to_snapshot - Rsync files to Amazon EC2

SYNOPSIS
sync_to_snapshot Rsync the indicated files and directories to Amazon EC2 and store in a named EBS snapshot. Snapshot will be incrementally updated if it already exists. The Version tag will be updated.

This will use the default EC2 endpoint URL unless environment variable EC2_URL is set.

OPTIONS

snapshot
    Snapshot name (required)

access_key
    EC2 access key

secret_key
    EC2 secret key

image
    Server AMI ID (defaults to ami-ccf405a5, Ubuntu Maverick 32bit)

type
    Server type (defaults to m1.small)

username
    Username for logging into instance ("ubuntu")

filesystem
    Type of filesystem to create (bfs,cramfs,ext*,minix,ntfs,vfat,msdos).

Anything with a /sbin/mkfs.* executable on the server side will work. Defaults to ext4.

AUTHOR
Man page: Olivier Sallou <osallou@debian.org>